Skip to main content
GET
List vocabulary words

Authorizations

Authorization
string
header
required

Your Vook API key (mint one from the web app).

Query Parameters

page
string

Page number

Example:

"1"

page_size
string

Number of items per page. Defaults to 10, up to 100.

Pattern: ^(100|[1-9]\d?)$
Example:

"10"

language
enum<string>
required

Language of the dictionary to list

Available options:
en,
fr

Response

200 - application/json

Paginated list of vocabulary words

data
object[]
required

The list of items for the current page

total_count
number
required

Total number of items

Example:

100

current_page
number
required

Current page number

Example:

1

last_page
number
required

Last page number

Example:

10